//--------------------------------------------
#ifndef Experiment02H
#define Experiment02H
//--------------------------------------------
#include "Experiment.h"                       
#include "GLGeometryViewer.h"
//--------------------------------------------

class Experiment02 : public Experiment
{
  GEOX_CLASS(Experiment02)

 private:
	// describes how many points are to add
   int32 numberOfPoints;

   // displaying class
	GLGeometryViewer* viewer;

 public:
	// constructor
   Experiment02();
   
   // draws NUMBEROFPOINTS new points on random positions with random color      
   void addPoints();
   
   // specifies the displaying class
	virtual QWidget* createViewer();
};                      
                
#endif                                         
